Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZCategory Class Reference

## Public Member Functions
| __construct ( $id=-1)
| store ()
| delete ()
| get ( $id)
| getAll ()
| name ()
| setName ( $value)
| description ()
| setDescription ( $value)
| id ()

## Public Attributes
| $ID
| $Name
| $Description

## Detailed Description

! eZTodo The eZCategory handles the category informasjon.

Handles the category informasjon stored in the database. All the todo's are grouped in to categorys.

Definition at line 35 of file ezcategory.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZCategory::__construct | ( |  | $id = `-1` | ) |

eZCategory Constructor.

Definition at line 40 of file ezcategory.php.

References $id, and $ID.

## Member Function Documentation

## ◆ delete()

eZCategory::delete | ( |  | ) |

Deletes the category object in the database.

Definition at line 85 of file ezcategory.php.

References $db, $res, eZDB\finish(), and eZDB\globalDatabase().

## ◆ description()

eZCategory::description | ( |  | ) |

Description of the category. Returns the description of the category as a string.

Definition at line 164 of file ezcategory.php.

## ◆ get()

eZCategory::get | ( |  | $id | ) |

Gets a category object from the database, where ID == $id

Definition at line 97 of file ezcategory.php.

References $category_array, $db, $id, $ret, eZDB\globalDatabase(), and Name.

## ◆ getAll()

eZCategory::getAll | ( |  | ) |

Gets all the category informasjon from the database. Returns the array in $cateogry_array ordered by name.

Definition at line 124 of file ezcategory.php.

References $category_array, $db, $i, and eZDB\globalDatabase().

## ◆ id()

eZCategory::id | ( |  | ) |

Id of the priority. Returns the id of the category as a string.

Definition at line 182 of file ezcategory.php.

References $ID.

## ◆ name()

eZCategory::name | ( |  | ) |

Tilte of the category. Returns the name of the category as a string.

Definition at line 146 of file ezcategory.php.

References Name.

## ◆ setDescription()

eZCategory::setDescription | ( |  | $value | ) |

Sets the description of the category. The new description of the category is passed as a paramenter ( $value ).

Definition at line 173 of file ezcategory.php.

## ◆ setName()

eZCategory::setName | ( |  | $value | ) |

Sets the name of the category. The new name of the category is passed as a paramenter ( $value ).

Definition at line 155 of file ezcategory.php.

References Name.

## ◆ store()

eZCategory::store | ( |  | ) |

Stores the category object to the database. Returnes the ID to the eZCategory object if the store is a success.

Definition at line 53 of file ezcategory.php.

References $db, $name, $res, eZDB\finish(), eZDB\globalDatabase(), and Name.

## Member Data Documentation

## ◆ $Description

eZCategory::$Description

Definition at line 189 of file ezcategory.php.

## ◆ $ID

eZCategory::$ID

Definition at line 187 of file ezcategory.php.

Referenced by __construct(), and id().

## ◆ $Name

eZCategory::$Name

Definition at line 188 of file ezcategory.php.

The documentation for this class was generated from the following file:

- ezcategory.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.